package com.nokia.pushmessage.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.nokia.pushmessage.service.PushMessageService;

/**
 * 自动配置
 */
@Configuration
@EnableConfigurationProperties(PushMessageProperties.class)
public class PushMessageAutoConfiguration {

    public PushMessageAutoConfiguration() {
        System.out.println("=====PushMessageAutoConfiguration=====");
    }

    @Bean
    @ConditionalOnProperty(name = "pushmessage.enable", havingValue = "true", matchIfMissing = false)
    public PushMessageService pushMessageService() {
        System.out.println("======PushMessageAutoConfiguration.pushMessageService=======");
        return new PushMessageService();
    }
}
