package com.nokia.pushmessage.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

import lombok.Data;

/**
 * 配置文件中应配置的
 */
@Data
@ConfigurationProperties(prefix = "pushmessage")
public class PushMessageProperties {

    // api-url，不增加转发时应该时能力商店的url
    private String url;
    // 能力商店的appid
    private String appId;
    // 能力商店正式环境密钥
    private String appSecret;
    // 系统编号
    private String systemId;
    // 模块编号
    private String moduleId;
    // 业务编码
    private String busiCode;
    // 钉钉群机器人accessToken，通过添加webhook的机器人可以查询到，也可使用已添加的机器人
    private String accessToken;
    // 钉钉机器人前缀
    private String prefix;

    public PushMessageProperties() {
        System.out.println("==================PushMessageProperties====================");
    }
}
